> ## Documentation Index
> Fetch the complete documentation index at: https://useidalia.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get asset categories

> Get asset categories



## OpenAPI

````yaml /openapi.json get /asset-categories
openapi: 3.0.0
info:
  title: Idalia API
  version: 1.0.0
  description: REST API for Idalia. Authenticate with an API key in the X-API-KEY header.
servers:
  - url: https://idalia.app/api
    description: Idalia API server
security: []
paths:
  /asset-categories:
    get:
      tags:
        - Asset-categories
      summary: Get asset categories
      description: Get asset categories
      operationId: getAssetCategories
      parameters: []
      responses:
        '200':
          description: Returns array of asset category objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetCategoryQueryResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AssetCategoryQueryResponse:
      type: array
      items:
        $ref: '#/components/schemas/AssetCategoryResponse'
    AssetCategoryResponse:
      type: object
      properties:
        id:
          type: string
          description: The asset category ID
        createdAt:
          type: string
          description: Datetime when the category was created
        updatedAt:
          type: string
          description: Datetime when the category was last updated
        workspaceId:
          type: string
          description: ID of the workspace the category belongs to
        name:
          type: string
          description: The category name
        description:
          type: string
          nullable: true
          description: Optional description
        parentId:
          type: string
          nullable: true
          description: The parent asset category
      required:
        - id
        - createdAt
        - updatedAt
        - workspaceId
        - name
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Invalid request parameters
              code:
                type: string
                example: '400'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Authentication required
              code:
                type: string
                example: '401'
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Access denied
              code:
                type: string
                example: '403'
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: An unexpected error occurred
              code:
                type: string
                example: '500'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.